Create Provenance
Create a FHIR R6 Provenance resource.
Endpoint
POST /api/fhir/r6-ballot4/Provenance
Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4
Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Provenance
The examples use illustrative identifiers and values.
Headers
{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}
Parameters
| Parameter | In | Required | Type | Description |
|---|---|---|---|---|
| No parameters | ||||
Authorization
The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.
| Context | Scope form |
|---|---|
| Resource-server definition | system/Provenance.c |
| Client grant/token request | ddfssystem/Provenance.c |
Issued token's scope claim |
system/Provenance.c |
Example Request
{"resourceType":"Provenance","target":[{"reference":"Patient/00000000-0000-4000-8000-000000000001"}],"recorded":"2020-01-01T00:00:00Z","agent":[{"who":{"reference":"Practitioner/00000000-0000-4000-8000-000000000002"}}],"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"}]},"activity":{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/v3-DataOperation","code":"CREATE","display":"create"}]}}
Example Response
{
"resourceType": "Provenance",
"target": [
{
"reference": "Patient/00000000-0000-4000-8000-000000000001"
}
],
"agent": [
{
"who": {
"reference": "Practitioner/00000000-0000-4000-8000-000000000002"
},
"role": []
}
],
"id": "00000000-0000-4000-8000-000000000008",
"meta": {
"versionId": "1",
"lastUpdated": "2025-01-01T00:00:00Z",
"profile": [],
"security": [],
"tag": [
{
"system": "https://example.com/fhir/tag",
"code": "example-resource",
"display": "Example resource"
}
]
},
"recorded": "2020-01-01T00:00:00Z",
"policy": [],
"authorization": [],
"activity": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v3-DataOperation",
"code": "CREATE",
"display": "create"
}
]
}
}
Behavior
Creates a Provenance resource.
cURL Example
curl.exe `
-sS `
-X POST `
https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r6-ballot4/Provenance `
-H 'Accept: application/fhir+json' `
-H 'Authorization: Bearer [REDACTED]' `
-H 'Content-Type: application/fhir+json' `
--data '{"resourceType":"Provenance","target":[{"reference":"Patient/00000000-0000-4000-8000-000000000001"}],"recorded":"2020-01-01T00:00:00Z","agent":[{"who":{"reference":"Practitioner/00000000-0000-4000-8000-000000000002"}}],"meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"example-resource","display":"Example resource"}]},"activity":{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/v3-DataOperation","code":"CREATE","display":"create"}]}}'
Status Codes
| Code | Status |
|---|---|
| 201 | Created Provenance representation. |
FHIR Definition
Canonical: https://hl7.org/fhir/6.0.0-ballot4/provenance.html